- Main Page
- Classes
- Files

- File List
- File Members

# flModelMD2.h File Reference

`#include "flGlobal.h"`
`#include "flTexture.h"`
`#include "flModel.h"`

Go to the source code of this file.

## Functions
Model3dAnimated * | mdl3dAnimLoadMD2 (char *inPath)
void | mdl3dAnimDrawMD2 (void *inModel, float inFrame)
bool | mdl3dAnimSaveMD2 (char *inPath, Model3dAnimated *inModel)

## Function Documentation

void mdl3dAnimDrawMD2 | ( | void * | inModel,
|  | float | inFrame |
| ) |  |  |

Definition at line 222 of file flModelMD2.c.

References debugWarning, and Model3dAnimatedMD2::md2FrameCount.

Referenced by mdl3dAnimDraw().

Model3dAnimated* mdl3dAnimLoadMD2 | ( | char * | inPath | ) |

Definition at line 84 of file flModelMD2.c.

References debugWarning, FILE_MODE_BINARY, FILE_MODE_READ, FILE_SEEK_SET, fileClose(), fileOpen(), fileRead(), fileSeek(), md2Header::md2EndOffset, Model3dAnimatedMD2::md2FrameCount, md2Header::md2FrameCount, md2Frame::md2FrameName, md2Header::md2FrameOffset, Model3dAnimatedMD2::md2Frames, md2Frame::md2FrameScale, md2Header::md2FrameSize, md2Frame::md2FrameTranslate, md2Frame::md2FrameVerts, md2Header::md2GlCmdCount, md2Header::md2GlCmdOffset, md2Header::md2Ident, md2Header::md2SkinHeight, md2Header::md2SkinWidth, Model3dAnimatedMD2::md2TextureCount, md2Header::md2TextureCount, md2Header::md2TextureOffset, Model3dAnimatedMD2::md2Textures, Model3dAnimatedMD2::md2TexVertCount, md2Header::md2TexVertCount, md2Header::md2TexVertOffset, Model3dAnimatedMD2::md2TexVerts, md2TexVert::md2TexVertU, md2TexVert::md2TexVertV, Model3dAnimatedMD2::md2TriCount, md2Header::md2TriCount, md2Header::md2TriOffset, Model3dAnimatedMD2::md2Tris, md2Tri::md2TriTexVerts, md2Tri::md2TriVerts, md2Header::md2Version, Model3dAnimatedMD2::md2VertCount, md2Header::md2VertCount, md2Vertex::md2VertexNormal, md2Vertex::md2VertexPos, mdl3dAnimFree(), Model3dAnimated::mdlData, Model3dAnimated::mdlType, memAlloc, memFree, MODEL_ANIM_TYPE_MD2, NULL, and texLoad().

Referenced by mdl3dAnimLoad().

bool mdl3dAnimSaveMD2 | ( | char * | inPath,
|  | Model3dAnimated * | inModel |
| ) |  |  |

Definition at line 269 of file flModelMD2.c.

References debugDevWarning.